/*
 * DateProblem.java
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Date;
import java.text.DateFormat;
public class DateProblem extends JFrame 
{
  
  static JButton dateButton = new JButton();
  static JTextField dateTextField = new JTextField();

  public static void main(String args[]) 
  {
    // construct frame
    new DateProblem().show();
  }
  public DateProblem() 
  {
    // frame constructor
    setTitle("Date Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
        exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());

    // add text field
    GridBagConstraints gridConstraints = new GridBagConstraints();
    dateTextField.setText("");
    dateTextField.setColumns(20);
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(dateTextField, gridConstraints);
    // add button and method listener
    dateButton.setText("Show Date");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(dateButton, gridConstraints);
    dateButton.addActionListener(new ActionListener() 
    {
      public void actionPerformed(ActionEvent e) 
      {
        dateButtonActionPerformed(e);
      }
    });
    pack();
  }
  private void dateButtonActionPerformed(ActionEvent e)
  {
    // get date and display in text field
    Date today = new Date();
    dateTextField.setText(DateFormat.getDateInstance(DateFormat.FULL).format(today));
  }
 
  private void exitForm(WindowEvent e) 
  {
    System.exit(0);
  }
}
